Subject: Re: bug#17945: 24.4.50; vc-git-annotate-command is too slow

From: Óscar Fuentes <[email-masked]>
Date: Wed, 25 Feb 2015 19:06:23 +0100

Dmitry Gutov <[email-masked]> writes:

> On 02/25/2015 07:46 PM, Óscar Fuentes wrote:
>
>> As the docstrings of vc-BACKEND-annotate-switches mention
>> vc-annotate-switches *and* vc-switches checks vc-annotate-switches,
>
> How about avoiding the mention of `vc-annotate-switches' in those
> docstrings instead?

vc-switches does check `vc-annotate-switches' (as it checks
vc-OP-switches for any other OP and BACKEND), so we are hiding
information from the user.

The whole problem consists on a generic approach (vc-OP-switches) that
doesn't play nice for some (all?) OPs. So we either get rid of
`vc-OP-switches' entirely or warn the user about its pitfalls.

(Is there an OP where `vc-OP-switches' works well across more than two
supported backends?)